Package org.kapott.hbci.passport.storage.format.legacy

## Class ConverterRSA

- java.lang.Object
- - org.kapott.hbci.passport.storage.format.legacy.AbstractConverter
  - - org.kapott.hbci.passport.storage.format.legacy.ConverterDDV
    - - org.kapott.hbci.passport.storage.format.legacy.ConverterRSA

All Implemented Interfaces:
  `Converter`

    public class ConverterRSA
    extends ConverterDDV

Implementierung des Converter fuer RSA. Von ConverterDDV abgeleitet, weil es den selben Salt verwendet.

### Constructor Summary

Constructors
`ConverterRSA()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PassportData` `load​(java.io.InputStream is)` Laedt die Passport-Daten.
`void` `save​(PassportData data, java.io.OutputStream os)` Speichert die Passport-Daten.
`boolean` `supports​(HBCIPassport passport)` Prueft, ob der Loader dieses Format lesen kann.

### Methods inherited from class org.kapott.hbci.passport.storage.format.legacy.ConverterDDV

`getSalt`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConverterRSA

    public ConverterRSA()

### Method Detail

#### load

    public PassportData load​(java.io.InputStream is)
                      throws java.lang.Exception

Description copied from interface: `Converter`
Laedt die Passport-Daten.

Specified by:
  `load` in interface `Converter`
Overrides:
  `load` in class `ConverterDDV`
Parameters:
  `is` - der Stream, von dem die Daten gelesen werden.
Returns:
  die gelesenen Daten.
Throws:
  `java.lang.Exception` - wenn es beim Lesen der Daten zu einem Fehler kam.
See Also:
  `Converter.load(java.io.InputStream)`

#### save

    public void save​(PassportData data,
                     java.io.OutputStream os)
              throws java.lang.Exception

Description copied from interface: `Converter`
Speichert die Passport-Daten.

Specified by:
  `save` in interface `Converter`
Overrides:
  `save` in class `ConverterDDV`
Parameters:
  `data` - die Daten.
  `os` - der Stream, in den die Daten geschrieben werden.
Throws:
  `java.lang.Exception` - wenn es beim Schreiben der Daten zu einem Fehler kam.
See Also:
  `Converter.save(org.kapott.hbci.passport.storage.PassportData, java.io.OutputStream)`

#### supports

    public boolean supports​(HBCIPassport passport)

Description copied from interface: `Converter`
Prueft, ob der Loader dieses Format lesen kann.

Specified by:
  `supports` in interface `Converter`
Overrides:
  `supports` in class `ConverterDDV`
Parameters:
  `passport` - der Passport.
Returns:
  true, wenn er es lesen kann.
See Also:
  `Converter.supports(org.kapott.hbci.passport.HBCIPassport)`